## packagekit 1.2.2

=== meson_options.txt ===
option('packaging_backend', type : 'array', choices : ['alpm', 'aptcc', 'dnf', 'dummy', 'entropy', 'poldek', 'portage', 'slack', 'zypp', 'nix'], value : ['dummy'], description : 'The name of the backend to use')
option('dnf_vendor', type : 'combo', choices : ['fedora', 'mageia', 'openmandriva', 'rosa', 'opensuse'], value : 'fedora', description : 'Vendor configuration when using the dnf backend')
option('systemd', type : 'boolean', value : true, description : 'Use systemd and logind')
option('systemdsystemunitdir', type : 'string', value : '', description : 'Directory for systemd service files')
option('systemduserunitdir', type : 'string', value : '', description : 'Directory for systemd user service files')
option('offline_update', type : 'boolean', value : true, description : 'Use systemd offline update')
option('elogind', type : 'boolean', value : false, description : 'Use elogind instead of systemd-login')
option('gobject_introspection', type : 'boolean', value : true, description : 'Build GObject Introspection data')
option('man_pages', type : 'boolean', value : true, description : 'Generate man pages')
option('gtk_doc', type : 'boolean', value : false, description : 'Generate API reference')
option('bash_completion', type : 'boolean', value : true, description : 'Bash completion')
option('bash_command_not_found', type : 'boolean', value : true, description : 'Build Bash command-not-found functionality')
option('packagekit_user', type : 'string', value : 'root', description : 'User for running the PackageKit daemon')
option('local_checkout', type : 'boolean', value : false, description : 'Allow running in local checkout')
option('gstreamer_plugin', type : 'boolean', value : true, description : 'Build gstreamer plugin functionality')
option('gtk_module', type : 'boolean', value : true, description : 'Build GTK+-3 module functionality')
option('cron', type : 'boolean', value : true, description : 'Build cron background functionality')
option('dbus_sys', type : 'string', value : '', description : 'D-BUS system.d directory')
option('dbus_services', type : 'string', value : '', description : 'D-BUS system-services directory')
option('python_backend', type : 'boolean', value : true, description : 'Provide a python backend')
option('pythonpackagedir', type : 'string', value : '', description : 'Location for python modules')
option('daemon_tests', type : 'boolean', value : true, description : 'Test the daemon using the dummy backend')

=== debian/changelog ===
packagekit (1.2.2-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control: Build-Dependis against libplymouth-dev (>= 0.9.5) and
    Breaks against previous version of the plymouth package
  * debian/packagekit.links: Ensure that the packagekit-offline-update service
    is started in the system-update.target.wants target (Closes: #977876)

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Dec 2020 22:14:10 +0100

packagekit (1.2.2-1) unstable; urgency=medium

  * New upstream version: 1.2.2
  * Unconditionally disable offline-updates on non-Linux architectures
  * Drop all patches: Applied upstream
  * Add no-crash-pk_dbus_get_uid.patch: Don't crash when calling
    pk_dbus_get_uid() before D-Bus is set up (Closes: #974826).

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Dec 2020 12:48:56 +0100

packagekit (1.2.1-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 1.2.1
  * Drop all previous patches: Applied upstream.
  * Add aptcc-use-pkgconfig.patch: Fix build with newer APT versions,
    and simplify dependency on apt-pkg .
  * Add aptcc-build-debconfhelper.patch: Build debconf socket-activated
    helper again now that PK builds with Meson.
  * Add aptcc-CVE-2020-16122.patch: Always distrust local .deb packages
  * Add fix-CVE-2020-16121.patch: Resolve information disclosure in
    InstallFiles, GetFilesLocal and GetDetailsLocal (Closes: #972229)
  * Add test-install-missing-files.patch: Install some missing files used
    by the test backend that have been forgotten in the Meson transition.
  * Adjust packaging for using the Meson build system
  * Cleanup d/rules, a lot of files we previously removed are gone now
    by upstream default
  * d/control: Update dependencies for new release
  * Drop build-dep on xmlto and docbook-utils (no longer needed)
  * Remove last remnants of the GTK+2 plugin (Closes: #967678)
  * Update .symbols file

  [ Laurent Bigonville ]
  * Do not try to install pk-debconf-helper on non-linux architectures
    (Closes: #952872)
  * Move daemon and helper binaries to /usr/libexec

 -- Matthias Klumpp <mak@debian.org>  Wed, 21 Oct 2020 18:26:38 +0200

=== debian/control ===
Source: packagekit
Section: admin
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Uploaders: Julian Andres Klode <jak@debian.org>
Build-Depends: bash-completion,
               debhelper-compat (= 12),
               gir1.2-glib-2.0 (>= 1.36),
               gobject-introspection (>= 1.36),
               gtk-doc-tools,
               libappstream-dev (>= 0.12),
               libapt-pkg-dev (>= 1.9.2),
               libarchive-dev,
               libgirepository1.0-dev (>= 1.36),
               libglib2.0-dev (>= 2.54),
               libgstreamer-plugins-base1.0-dev,
               libgtk-3-dev (>= 3.2),
               libplymouth-dev (>= 0.9.5) [linux-any],
               libpolkit-gobject-1-dev,
               libsqlite3-dev,
               libsystemd-dev (>= 214) [linux-any],
               meson (>= 0.50),
               pkg-config,
               policykit-1,
               valac
Standards-Version: 4.5.0
Homepage: https://www.freedesktop.org/software/PackageKit/
Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit.git
Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit

Package: packagekit
Architecture: any
Multi-Arch: foreign
Depends: libglib2.0-bin,
         policykit-1,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libpackagekit-glib2-14 (<= 0.7.6-4),
        libpackagekit-qt2-2 (<= 0.7.6-4),
        packagekit-backend-apt (<< 1.0),
        packagekit-backend-aptcc (<< 1.0),
        packagekit-backend-smart (<< 1.0),
        packagekit-offline-update (<< 1.0),
        packagekit-plugin-click (<= 0.3.1),
        plymouth (<< 0.9.5)
Recommends: packagekit-tools,
            systemd
Suggests: appstream
Description: Provides a package management service
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 The work is done by backends which make use of the package manager shipped by
 the corresponding distribution. PackageKit is not meant to replace
 advanced tools like Synaptic.
 .
 The main benefits are:
  - unified interface on several distributions
  - fine grained privileges by using PolicyKit
  - independency from a running desktop session during the processing

Package: packagekit-tools
Architecture: any
Multi-Arch: foreign
Depends: packagekit (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Provides PackageKit command-line tools
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the PackageKit command-line tools.

Package: packagekit-docs
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Documentation for PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides documentation for PackageKit.

Package: libpackagekit-glib2-18
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: packagekit (= ${binary:Version})
Description: Library for accessing PackageKit using GLib
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides an advanced library to access PackageKit using GLib.
 It makes use of only async D-Bus calls and provides high level tasks which
 peform the "transaction dance".

Package: libpackagekit-glib2-dev
Section: libdevel
Architecture: any
Depends: gir1.2-packagekitglib-1.0 (= ${binary:Version}),
         libdbus-1-dev,
         libglib2.0-dev (>= 2.26),
         libpackagekit-glib2-18 (= ${binary:Version}),
         libsqlite3-dev,
         ${misc:Depends}
Description: Library for accessing PackageKit using GLib (development files)
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the header files and documentation for the advanced
 PackageKit library based on GLib. It makes use of only async D-Bus calls
 and provides high level tasks which peform the "transaction dance".

Package: gir1.2-packagekitglib-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the PackageKit GLib library
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package contains introspection data for the PackageKit
 GLib interface library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: packagekit-gtk3-module
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-software | apper
Breaks: gnome-packagekit (<< 3.2.1-1)
Description: Install fonts automatically using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 The PackageKit GTK+ module allows any Pango application to install
 fonts from configured repositories using PackageKit.

Package: gstreamer1.0-packagekit
Architecture: any
Section: libs
Depends: packagekit (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gstreamer0.10-packagekit
Replaces: gstreamer0.10-packagekit
Recommends: gnome-software | apper
Description: GStreamer plugin to install codecs using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a plugin for the GStreamer multimedia framework
 to search and to install audio and video codecs.

Package: packagekit-command-not-found
Architecture: any
Section: misc
Depends: packagekit (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Offer to install missing programs automatically
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package contains a simple handler for command_not_found that offers to
 install missing packages on the command line using PackageKit.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Use this variable to set the PackageKit configure flags
PK_CONFIGURE_FLAGS = -Dpackaging_backend=aptcc \
			-Dsystemd=true \
			-Doffline_update=true \
			-Dgobject_introspection=true \
			-Dman_pages=true \
			-Dgtk_doc=true \
			-Dbash_completion=true \
			-Dbash_command_not_found=true \
			-Dgstreamer_plugin=true \
			-Dgtk_module=true \
			-Dcron=false \
			-Dpython_backend=false

ifneq ($(DEB_HOST_ARCH_OS), linux)
	PK_CONFIGURE_FLAGS += -Dsystemd=false -Doffline_update=false
endif

LDFLAGS += -Wl,--as-needed

# Define install target dir
INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with gir

extrainstallfiles-stamp:
	grep -E -v 'lib/systemd|pk-offline-update|pk-debconf-helper' debian/packagekit.install > debian/packagekit.install.kfreebsd
	grep -E -v 'lib/systemd|pk-offline-update|pk-debconf-helper' debian/packagekit.install > debian/packagekit.install.hurd
	touch $@

override_dh_auto_configure:
	cp -dpr $(CURDIR)/docs/api $(CURDIR)/docs/api.orig
	dh_auto_configure -- $(PK_CONFIGURE_FLAGS)

# The testsuite needs some manual interaction and a special
# setup for the daemon to work, so we don't run it during build.
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)

	# These files do not need to be installed
	rm -f $(INSTALLDIR)/usr/share/PackageKit/pk-upgrade-distro.sh
	rm -f $(INSTALLDIR)/usr/bin/packagekit-bugreport.sh
	rm -f $(INSTALLDIR)/var/lib/PackageKit/transactions.db

	rm $(INSTALLDIR)/etc/PackageKit/Vendor.conf
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	cp $(CURDIR)/debian/vendor/Vendor.ubuntu.conf $(INSTALLDIR)/etc/PackageKit/Vendor.conf
else
	cp $(CURDIR)/debian/vendor/Vendor.debian.conf $(INSTALLDIR)/etc/PackageKit/Vendor.conf
endif

override_dh_install: extrainstallfiles-stamp
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -Xlibpk-gtk-module -Xlibpk_
	dh_girepository

override_dh_auto_clean:
	dh_auto_clean
	# Remove the autogenerated .install files for non-linux architectures
	rm -f debian/packagekit.install.kfreebsd
	rm -f debian/packagekit.install.hurd

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)

override_dh_installsystemd:
	# the offline-updates service is enabled by tools like GNOME-Software when they need it,
	# but we do want to clear leftover symlinks upon removal of the package.
	dh_installsystemd --no-enable --no-start --no-restart-after-upgrade

## packagekit 1.2.5

=== debian/changelog ===
packagekit (1.2.5-2ubuntu3) jammy; urgency=medium

  * Backport patch to fix showing the GTK debconf helper on Wayland
    (LP: #2086773)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 11 Nov 2024 16:52:43 +0100

packagekit (1.2.5-2ubuntu2) jammy; urgency=medium

  * Update fix-single-candidate-pkgid-emission.patch. (LP: #1963904)

 -- Brian Murray <brian@ubuntu.com>  Mon, 14 Mar 2022 12:11:19 -0700

packagekit (1.2.5-2ubuntu1) jammy; urgency=low

  * Merge from Debian unstable (LP: #1961837). Remaining changes:
    - debian/control: Added recommends for packagekit-installer

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 23 Feb 2022 11:10:46 +0100

packagekit (1.2.5-2) unstable; urgency=medium

  * Add fix-single-candidate-pkgid-emission.patch
    - Unblock updates by emitting package-IDs again even if there
      is just one candidate available.

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Feb 2022 23:48:44 +0100

packagekit (1.2.5-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Added recommends for packagekit-installer
  * 1.2.5 fixes manually installed kernel updates (LP: #1914278)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 21 Feb 2022 10:40:12 +0100

packagekit (1.2.5-1) unstable; urgency=medium

  * New upstream version: 1.2.5
    Notable changes:
    - aptcc: Do not mark all updates as manually installed
    - aptcc: Apply auto/manual state from previously resolved pkgids
      when needed
    - aptcc: Attempt to fix broken packages again when system
      repair is requested
    - aptcc: Correctly list all the available package versions
    - aptcc: Display an excerpt of dpkg's log on error instead of not
      failing at all
    - aptcc: Emit only the first, likely highest-quality error when dpkg fails
    - aptcc: Make package downgrades work again
    - aptcc: Return local file listings in the same format as installed ones
    - Add flags to D-Bus offline invoking methods
    - Properly handle allow-reinstall flag for installations
    - Provide better error message if trying to install an installed package
    - Wait until online to activate systemd service
  * policy: Allow any inactive user to refresh the package cache
    as well (Closes: #965030)
  * Update symbols file
  * Mark d/rules as not requiring root
  * Bump dh compat level to 13
  * Drop some no longer needed breaks constraints
  * policy: Allow any user to trigger offline updates
    by default (Closes: #1003141)
  * Remove 2 obsolete maintscript entries in 1 files (thanks, Janitor!)
  * Set upstream metadata fields: Bug-Database, Contact (thanks, Janitor!)

 -- Matthias Klumpp <mak@debian.org>  Thu, 17 Feb 2022 21:40:18 +0100

packagekit (1.2.4-1ubuntu2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:17:28 +0000

packagekit (1.2.4-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Added recommends for packagekit-installer
  * Dropped wait-until-online-to-activate-systemd-service.patch, it was
    not the root cause and did not fix the issue after all

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 13 Jan 2022 17:51:50 +0100

packagekit (1.2.4-1) unstable; urgency=medium

  * New upstream version: 1.2.4
    - Resolves FTBFS with newer Meson versions (Closes: #998578)
  * Drop no-crash-pk_dbus_get_uid.patch: Applied upstream
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Sun, 07 Nov 2021 20:04:15 +0100

packagekit (1.2.2-2ubuntu3) impish; urgency=medium

  * Refresh wait-until-online-to-activate-systemd-service.patch with fixes
    (LP: #1943189)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 27 Sep 2021 10:15:19 +0200

packagekit (1.2.2-2ubuntu2) impish; urgency=medium

  * Add wait-until-online-to-activate-systemd-service.patch: Wait until
    after network-online.target to start packagekitd so it knows if it is
    online, thanks to Erich Eickmeyer for the patch (LP: #1943189)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 17 Sep 2021 17:40:40 +0200

packagekit (1.2.2-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Added recommends for packagekit-installer

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 23 Dec 2020 13:47:51 +0100

packagekit (1.2.1-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Added recommends for packagekit-installer

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 09 Nov 2020 11:26:18 +0100

packagekit (1.1.13-2ubuntu2) groovy; urgency=medium

  * SECURITY UPDATE: information disclosure (LP: #1888887)
    - debian/patches/CVE-2020-16121.patch: hide failures behind a single
      error message in src/pk-transaction.c.
    - CVE-2020-16121
  * SECURITY UPDATE: untrusted local file installation (LP: #1882098)
    - debian/patches/CVE-2020-16122.patch: do not trust local packages in
      backends/aptcc/apt-intf.cpp.
    - CVE-2020-16122

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Sep 2020 06:55:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: packagekit
 Section: admin
 Priority: optional
-Maintainer: Matthias Klumpp <mak@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
 Uploaders: Julian Andres Klode <jak@debian.org>
 Build-Depends: bash-completion,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                gir1.2-glib-2.0 (>= 1.36),
                gobject-introspection (>= 1.36),
                gtk-doc-tools,
@@ -23,7 +24,8 @@
                pkg-config,
                policykit-1,
                valac
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://www.freedesktop.org/software/PackageKit/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit
@@ -35,14 +37,7 @@
          policykit-1,
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libpackagekit-glib2-14 (<= 0.7.6-4),
-        libpackagekit-qt2-2 (<= 0.7.6-4),
-        packagekit-backend-apt (<< 1.0),
-        packagekit-backend-aptcc (<< 1.0),
-        packagekit-backend-smart (<< 1.0),
-        packagekit-offline-update (<< 1.0),
-        packagekit-plugin-click (<= 0.3.1),
-        plymouth (<< 0.9.5)
+Breaks: plymouth (<< 0.9.5)
 Recommends: packagekit-tools,
             systemd
 Suggests: appstream
@@ -107,7 +102,7 @@
 Architecture: any
 Depends: gir1.2-packagekitglib-1.0 (= ${binary:Version}),
          libdbus-1-dev,
-         libglib2.0-dev (>= 2.26),
+         libglib2.0-dev,
          libpackagekit-glib2-18 (= ${binary:Version}),
          libsqlite3-dev,
          ${misc:Depends}
@@ -141,8 +136,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-software | apper
-Breaks: gnome-packagekit (<< 3.2.1-1)
+Recommends: gnome-software | apper | packagekit-installer
 Description: Install fonts automatically using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -159,7 +153,7 @@
          ${shlibs:Depends}
 Conflicts: gstreamer0.10-packagekit
 Replaces: gstreamer0.10-packagekit
-Recommends: gnome-software | apper
+Recommends: gnome-software | apper | packagekit-installer
 Description: GStreamer plugin to install codecs using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g refreshing the cache, updating, installing and removing

=== debian/watch ===
version=3
https://www.freedesktop.org/software/PackageKit/releases/PackageKit-([\d\.]+)\.tar\.xz

## packagekit 1.2.5-2ubuntu2mint1+vera

=== debian/changelog ===
packagekit (1.2.5-2ubuntu2mint1+vera) vera; urgency=medium

  * Add 'purge' capability (apt backend only).

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Sep 2022 13:08:42 +0100

## packagekit 1.2.5-2ubuntu2+11.0trisquel1

=== debian/changelog ===
packagekit (1.2.5-2ubuntu2+11.0trisquel1) aramo; urgency=medium

  * Recommend trisquel-app-install over gnome software.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 21 Jun 2022 03:34:07 +0000

=== debian/control ===
--- 
+++ 
@@ -136,7 +136,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-software | apper | packagekit-installer
+Recommends: trisquel-app-install | gnome-software | apper | packagekit-installer
 Description: Install fonts automatically using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -153,7 +153,7 @@
          ${shlibs:Depends}
 Conflicts: gstreamer0.10-packagekit
 Replaces: gstreamer0.10-packagekit
-Recommends: gnome-software | apper | packagekit-installer
+Recommends: trisquel-app-install | gnome-software | apper | packagekit-installer
 Description: GStreamer plugin to install codecs using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g refreshing the cache, updating, installing and removing

## packagekit 1.2.6

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-option('packaging_backend', type : 'array', choices : ['alpm', 'aptcc', 'dnf', 'dummy', 'entropy', 'poldek', 'portage', 'slack', 'zypp', 'nix'], value : ['dummy'], description : 'The name of the backend to use')
+option('packaging_backend', type : 'array', choices : ['alpm', 'apt', 'dnf', 'dummy', 'entropy', 'poldek', 'portage', 'slack', 'zypp', 'nix'], value : ['dummy'], description : 'The name of the backend to use')
 option('dnf_vendor', type : 'combo', choices : ['fedora', 'mageia', 'openmandriva', 'rosa', 'opensuse'], value : 'fedora', description : 'Vendor configuration when using the dnf backend')
 option('systemd', type : 'boolean', value : true, description : 'Use systemd and logind')
 option('systemdsystemunitdir', type : 'string', value : '', description : 'Directory for systemd service files')

=== debian/changelog ===
packagekit (1.2.6-5devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.6-5.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 28 May 2023 21:49:45 +0100

packagekit (1.2.6-5) unstable; urgency=medium

  * Add fix-tiny-memleak.patch:
    - Free transaction property when progress is done.
  * Add remove-references-to-packagekit.org.patch:
    - The packagekit.org domain was taken over by an actor who is
      serving potentially malicious ads on it, and no longer redirects
      to the proper pages. To ensure nobody lands there accidentally,
      replace all links to pk.org with the proper ones pointing at
      freedesktop.org.
  * Make the daemon package recommend packagekit-tools again
    - This change was not intended for bookworm and may
      be re-applied after its release (Closes: #1036153).

 -- Matthias Klumpp <mak@debian.org>  Sun, 28 May 2023 19:00:10 +0200

packagekit (1.2.6-4devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.6-4.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 16 Apr 2023 21:53:53 +0100

packagekit (1.2.6-4) unstable; urgency=medium

  * Add apt-fix-mimetype-search-crash.patch (Closes: #1032510)
    - Fixes a daemon crash when searching for provided mediatypes
  * packagekit: Recommend, instead of suggest appstream
    - It is needed for many operations, and quite odd for users if data
      is randomly missing with no explanation.
  * Don't have the library recommend the daemon package (Closes: #1012175)
  * Bump standards version (no changes needed)

 -- Matthias Klumpp <mak@debian.org>  Sun, 16 Apr 2023 18:58:34 +0200

packagekit (1.2.6-3devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.6-3.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 12 Feb 2023 12:01:00 +0000

packagekit (1.2.6-3) unstable; urgency=medium

  * Add apt-better-repo-names.patch:
    - Display meaningful repository names instead of just suite names.
  * Add pkcon-fix-progressbar-padding.patch:
    - Fix layout when progress is shown.
  * Add shutdown-daemon-on-idle.patch:
    - Shut down daemon when it is not used again. This functionality
      was originally removed to work around a bug in DNF which does
      not affect us in Debian (Closes: #802306).
  * Add fix-uninitialized-timer.patch:
    - Fix potential crash that may occur on daemon shutdown.
  * Add apt-update-urgency-as-status.patch:
    - Send update urgencies as package status again, as this behavior
      seems to be expected by frontends and did not cause any problems
      in the past (Closes: #1030179).

 -- Matthias Klumpp <mak@debian.org>  Fri, 10 Feb 2023 22:48:36 +0100

packagekit (1.2.6-2devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.6-2.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 04 Jan 2023 20:55:29 +0000

packagekit (1.2.6-2) unstable; urgency=high

  * Ensure PackageKit services aren't stopped or restarted during
    package upgrade, as PackageKit might be performing an upgrade
    of itself, and killing an ongoing APT transaction will break
    the package manager and require manual repair.
    This is an especially big problem when performing offline upgrades.
    (Closes: #880712)

 -- Matthias Klumpp <mak@debian.org>  Wed, 04 Jan 2023 18:40:38 +0100

packagekit (1.2.6-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.6-1.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 02 Dec 2022 07:19:25 +0000

packagekit (1.2.6-1) unstable; urgency=medium

  * New upstream version: 1.2.6
    - New plural signals for improved performance
    - Large APT backend refactoring
    - Changelogs from APT are emitted correctly now
  * Drop patches: Applied upstream
  * Adjust rules for aptcc rename
  * Refresh policy patch
  * Update symbols file
  * Depend on polkitd instead of policykit-1 (Closes: #1022071)
  * Revert "Add alternate recommends for packagekit-installer"
    - This patch changed the maintainer to Ubuntu, so was likely added
      by mistake. Dropped the maintainer change, re-added the
      "packagekit-installer" recommendation, as it is inert on Debian.

 -- Matthias Klumpp <mak@debian.org>  Thu, 01 Dec 2022 20:42:52 +0100

packagekit (1.2.5-4devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.5-4.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 01 Dec 2022 06:59:27 +0000

packagekit (1.2.5-4) unstable; urgency=medium

  [ Ken VanDine ]
  * Add alternate recommends for packagekit-installer

  [ Debian Janitor ]
  * Apply multi-arch hints. + packagekit-gtk3-module: Add Multi-Arch: same.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Nov 2022 15:25:46 -0500

packagekit (1.2.5-3devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.5-3.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 16 Mar 2022 10:45:47 +0000

packagekit (1.2.5-3) unstable; urgency=medium

  * fix-single-candidate-pkgid-emission.patch: Handle case when there
    is no candidate at all (LP: #1963904)
  * Add aptcc_more-smartpointers.patch: Use smartpointers in more places

 -- Matthias Klumpp <mak@debian.org>  Tue, 15 Mar 2022 14:36:34 +0100

packagekit (1.2.5-2devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.5-2.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 23 Feb 2022 15:29:57 +0000

packagekit (1.2.5-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.5-1

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 18 Feb 2022 08:12:01 +0000

packagekit (1.2.4-1+devuan1) unstable; urgency=medium

  * Merge Debian 1.2.4-1.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 15 Nov 2021 20:44:31 +0000

packagekit (1.2.2-2+devuan1) unstable; urgency=medium

  * Merge Debian 1.2.2-2.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 31 Dec 2020 15:26:48 +0000

packagekit (1.2.1-1+devuan1) unstable; urgency=medium

  * d/control: update Vcs-* fields following gitea migration.
  * Merge debian 1.2.1-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 24 Oct 2020 13:00:20 +0100

packagekit (1.1.13-2+devuan1) unstable; urgency=medium

  * New Debian version 1.1.13-2.
  * d/control: add Origin: Devuan.


=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: packagekit
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
-Uploaders: Julian Andres Klode <jak@debian.org>
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders:
+	Mark (LeePen) Hindley <mark@hindley.org.uk>,
+	Franco (nextime) Lanza <nextime@devuan.org>
 Build-Depends: bash-completion,
                debhelper-compat (= 13),
                gir1.2-glib-2.0 (>= 1.36),
                gobject-introspection (>= 1.36),
                gtk-doc-tools,
-               libappstream-dev (>= 0.12),
+               libappstream-dev (>= 0.16.0),
                libapt-pkg-dev (>= 1.9.2),
                libarchive-dev,
                libgirepository1.0-dev (>= 1.36),
@@ -19,28 +20,28 @@
                libplymouth-dev (>= 0.9.5) [linux-any],
                libpolkit-gobject-1-dev,
                libsqlite3-dev,
-               libsystemd-dev (>= 214) [linux-any],
                meson (>= 0.50),
                pkg-config,
-               policykit-1,
+               polkitd,
                valac
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.freedesktop.org/software/PackageKit/
-Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit.git
-Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit
+Vcs-Git: https://git.devuan.org/devuan/packagekit.git
+Vcs-Browser: https://git.devuan.org/devuan/packagekit
+Origin: Devuan
 
 Package: packagekit
 Architecture: any
 Multi-Arch: foreign
 Depends: libglib2.0-bin,
-         policykit-1,
+         polkitd,
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: plymouth (<< 0.9.5)
-Recommends: packagekit-tools,
+Recommends: appstream,
+            packagekit-tools,
             systemd
-Suggests: appstream
 Description: Provides a package management service
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -84,10 +85,8 @@
 Architecture: any
 Section: libs
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: packagekit (= ${binary:Version})
 Description: Library for accessing PackageKit using GLib
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -134,9 +133,10 @@
 Package: packagekit-gtk3-module
 Architecture: any
 Section: libs
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: trisquel-app-install | gnome-software | apper | packagekit-installer
+Recommends: gnome-software | apper | packagekit-installer
 Description: Install fonts automatically using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -153,7 +153,7 @@
          ${shlibs:Depends}
 Conflicts: gstreamer0.10-packagekit
 Replaces: gstreamer0.10-packagekit
-Recommends: trisquel-app-install | gnome-software | apper | packagekit-installer
+Recommends: gnome-software | apper | packagekit-installer
 Description: GStreamer plugin to install codecs using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g refreshing the cache, updating, installing and removing

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,9 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # Use this variable to set the PackageKit configure flags
-PK_CONFIGURE_FLAGS = -Dpackaging_backend=aptcc \
-			-Dsystemd=true \
-			-Doffline_update=true \
+PK_CONFIGURE_FLAGS = -Dpackaging_backend=apt \
+			-Dsystemd=false \
+			-Doffline_update=false \
 			-Dgobject_introspection=true \
 			-Dman_pages=true \
 			-Dgtk_doc=true \
@@ -61,9 +61,6 @@
 override_dh_install: extrainstallfiles-stamp
 	dh_install
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_makeshlibs:
 	dh_makeshlibs -Xlibpk-gtk-module -Xlibpk_
 	dh_girepository
@@ -76,8 +73,3 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(SUBSTVARS)
-
-override_dh_installsystemd:
-	# the offline-updates service is enabled by tools like GNOME-Software when they need it,
-	# but we do want to clear leftover symlinks upon removal of the package.
-	dh_installsystemd --no-enable --no-start --no-restart-after-upgrade

## packagekit 1.2.6+mint1+faye

=== debian/changelog ===
packagekit (1.2.6+mint1+faye) faye; urgency=medium

  [ Michael Webster ]
  * Add 'purge' capability (apt backend only).

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Aug 2023 12:16:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: packagekit
 Section: admin
 Priority: optional
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Uploaders:
-	Mark (LeePen) Hindley <mark@hindley.org.uk>,
-	Franco (nextime) Lanza <nextime@devuan.org>
+Maintainer: Matthias Klumpp <mak@debian.org>
+Uploaders: Julian Andres Klode <jak@debian.org>
 Build-Depends: bash-completion,
                debhelper-compat (= 13),
                gir1.2-glib-2.0 (>= 1.36),
@@ -20,6 +18,7 @@
                libplymouth-dev (>= 0.9.5) [linux-any],
                libpolkit-gobject-1-dev,
                libsqlite3-dev,
+               libsystemd-dev (>= 214) [linux-any],
                meson (>= 0.50),
                pkg-config,
                polkitd,
@@ -27,9 +26,8 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.freedesktop.org/software/PackageKit/
-Vcs-Git: https://git.devuan.org/devuan/packagekit.git
-Vcs-Browser: https://git.devuan.org/devuan/packagekit
-Origin: Devuan
+Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit.git
+Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit
 
 Package: packagekit
 Architecture: any

## packagekit 1.2.7

=== debian/changelog ===
packagekit (1.2.7-1) unstable; urgency=medium

  * New upstream version 1.2.7
  * Drop all patches: Applied upstream
  * Enable all tests except for the daemon tests
    - The daemon tests need special configuration and
      root access, so we still can not run them.
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Sun, 27 Aug 2023 15:46:54 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,11 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # Use this variable to set the PackageKit configure flags
-PK_CONFIGURE_FLAGS = -Dpackaging_backend=apt \
-			-Dsystemd=false \
-			-Doffline_update=false \
+PK_CONFIGURE_FLAGS = \
+			-Ddaemon_tests=false \
+			-Dpackaging_backend=apt \
+			-Dsystemd=true \
+			-Doffline_update=true \
 			-Dgobject_introspection=true \
 			-Dman_pages=true \
 			-Dgtk_doc=true \
@@ -39,10 +41,6 @@
 	cp -dpr $(CURDIR)/docs/api $(CURDIR)/docs/api.orig
 	dh_auto_configure -- $(PK_CONFIGURE_FLAGS)
 
-# The testsuite needs some manual interaction and a special
-# setup for the daemon to work, so we don't run it during build.
-override_dh_auto_test:
-
 override_dh_auto_install:
 	dh_auto_install --destdir=$(INSTALLDIR)
 
@@ -73,3 +71,13 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(SUBSTVARS)
+
+override_dh_installsystemd:
+	# We don't want to stop/restart the packagekit service and especially not the
+	# packagekit-offline-update service, as PackageKit might be performing the
+	# package upgrade right now and would kill the running APT/dpkg transaction,
+	# leaving the system in a broken state.
+	# The PackageKit daemon is fine with being upgraded while running, and we do
+	# send it the `SuggestDaemonQuit` command to have it reload itself when it is
+	# able to (ensuring it doesn't crash after ejecting the backend and reloading it).
+	dh_installsystemd --no-start --no-restart-after-upgrade --no-stop-on-upgrade

## packagekit 1.2.8

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-option('packaging_backend', type : 'array', choices : ['alpm', 'apt', 'dnf', 'dummy', 'entropy', 'poldek', 'portage', 'slack', 'zypp', 'nix'], value : ['dummy'], description : 'The name of the backend to use')
+option('packaging_backend', type : 'array', choices : ['alpm', 'apt', 'dnf', 'dummy', 'entropy', 'pisi', 'poldek', 'portage', 'slack', 'zypp', 'nix', 'freebsd'], value : ['dummy'], description : 'The name of the backend to use')
 option('dnf_vendor', type : 'combo', choices : ['fedora', 'mageia', 'openmandriva', 'rosa', 'opensuse'], value : 'fedora', description : 'Vendor configuration when using the dnf backend')
 option('systemd', type : 'boolean', value : true, description : 'Use systemd and logind')
 option('systemdsystemunitdir', type : 'string', value : '', description : 'Directory for systemd service files')

=== debian/changelog ===
packagekit (1.2.8-2ubuntu1.4) noble; urgency=medium

  * d/p/apt-Handle-gstreamer-64bit-suffix-on-any-architecture.patch:
    Fix matching GStreamer capabilities on ARM64 and other architectures
    (LP: #2060730)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 09 Oct 2025 11:00:52 +0200

packagekit (1.2.8-2ubuntu1.3) noble; urgency=medium

  * d/p/apt-Fix-matching-gstreamer-pkgs-where-the-only-modifier-i.patch:
    Fix matching GStreamer capabilities, which would find no results in some
    specific but common edge-cases (LP: #2060730).

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 01 Jul 2025 11:00:56 +0200

packagekit (1.2.8-2ubuntu1.2) noble; urgency=medium

  * Backport patch to make PackageKit uninstallable from graphical software centers
    (LP: #2066183)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 08 Jan 2025 17:35:09 +0100

packagekit (1.2.8-2ubuntu1.1) noble; urgency=medium

  * No-change rebuild to fix unintended dependency on apt which was in
    noble-proposed back then, and caused packagekit to become uninstallable on
    armhf (LP: #2091714)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 13 Dec 2024 14:07:28 -0300

packagekit (1.2.8-2ubuntu1) noble; urgency=medium

  * Backport patch to fix showing the GTK debconf helper on Wayland
    (LP: #2086773)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 11 Nov 2024 16:36:25 +0100

packagekit (1.2.8-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:13:09 +0000

packagekit (1.2.8-2build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:26:24 +0000

packagekit (1.2.8-2build1) noble; urgency=medium

  * No-change rebuild against libapt-pkg6.0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2024 19:21:56 +0000

packagekit (1.2.8-2) unstable; urgency=medium

  * Add strlen-cmp-memfix.patch:
    - Check string length correctly to prevent memory
      over-consumption.
  * Add identify-ubuntu.patch:
    - Do not incorrectly identify Ubuntu sources as coming
      from Debian.
  * Switch build dependency from pkg-config -> pkgconf,
    add gobject-introspection-bin.

 -- Matthias Klumpp <mak@debian.org>  Tue, 20 Feb 2024 22:20:42 +0100

packagekit (1.2.8-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 1.2.8
    - Removes bashisms (Closes: #772289)
    - Fixes crash when finishing a uncommitted transaction (Closes: #1054026)
    - Deduplicates offline-update entries (Closes: #910365)
  * Slightly tweak description text

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir (Closes: #1052982)

 -- Matthias Klumpp <mak@debian.org>  Wed, 08 Nov 2023 22:28:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: packagekit
 Section: admin
 Priority: optional
-Maintainer: Matthias Klumpp <mak@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
 Uploaders: Julian Andres Klode <jak@debian.org>
 Build-Depends: bash-completion,
                debhelper-compat (= 13),
                gir1.2-glib-2.0 (>= 1.36),
                gobject-introspection (>= 1.36),
+               gobject-introspection-bin,
                gtk-doc-tools,
                libappstream-dev (>= 0.16.0),
                libapt-pkg-dev (>= 1.9.2),
@@ -20,8 +22,9 @@
                libsqlite3-dev,
                libsystemd-dev (>= 214) [linux-any],
                meson (>= 0.50),
-               pkg-config,
+               pkgconf,
                polkitd,
+               systemd-dev [linux-any],
                valac
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -49,10 +52,10 @@
  the corresponding distribution. PackageKit is not meant to replace
  advanced tools like Synaptic.
  .
- The main benefits are:
-  - unified interface on several distributions
-  - fine grained privileges by using PolicyKit
-  - independency from a running desktop session during the processing
+ Its main benefits are:
+  - Unified developer and user interface on many distributions
+  - Fine-grained permission control via PolicyKit
+  - On-demand installation of missing system components
 
 Package: packagekit-tools
 Architecture: any

## packagekit 1.2.8+mint1+wilma

=== debian/changelog ===
packagekit (1.2.8+mint1+wilma) wilma; urgency=medium

  [ Michael Webster ]
  * Add 'purge' capability (apt backend only).

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 16 Jun 2024 14:54:29 +0100

## packagekit 1.2.8+mint2+wilma

=== debian/changelog ===
packagekit (1.2.8+mint2+wilma) xia; urgency=medium

  [ Michael Webster ]
  * pk-client.c: don't allow the PkTaskState to be destroyed before the task completes.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2024 09:48:57 +0000

packagekit (1.2.8+mint1) wilma; urgency=medium

  [ Michael Webster ]
  * Add 'purge' capability (apt backend only).

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 16 Jun 2024 14:54:29 +0100

## packagekit 1.2.8+mint2+xia

=== debian/changelog ===
packagekit (1.2.8+mint2+xia) xia; urgency=medium

  [ Michael Webster ]
  * pk-client.c: don't allow the PkTaskState to be destroyed before the task completes.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2024 09:48:57 +0000

## packagekit 1.3.0

=== debian/changelog ===
packagekit (1.3.0-3ubuntu0.2) plucky; urgency=medium

  * d/p/apt-Handle-gstreamer-64bit-suffix-on-any-architecture.patch:
    Fix matching GStreamer capabilities on ARM64 and other architectures
    (LP: #2060730)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 09 Oct 2025 11:31:20 +0200

packagekit (1.3.0-3ubuntu0.1) plucky; urgency=medium

  * d/p/apt-Fix-matching-gstreamer-pkgs-where-the-only-modifier-i.patch:
    Fix matching GStreamer capabilities, which would find no results in some
    specific but common edge-cases (LP: #2060730).

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 01 Jul 2025 11:00:56 +0200

packagekit (1.3.0-3build1) plucky; urgency=high

  * No change rebuild against libapt-pkg7.0.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 17 Feb 2025 22:49:18 +0100

packagekit (1.3.0-3) unstable; urgency=medium

  * Adjust for libapt-pkg7.0 API

 -- Julian Andres Klode <jak@debian.org>  Mon, 17 Feb 2025 10:35:40 +0100

packagekit (1.3.0-2) unstable; urgency=medium

  * Team upload
  * Backport patch to fix pkcon crashing in transactions with user prompt
    (LP: #2086771)
  * Backport patch to fix showing the GTK debconf helper on Wayland
    (LP: #2086773)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 08 Nov 2024 15:56:31 -0500

packagekit (1.3.0-1) unstable; urgency=medium

  * New upstream version: 1.3.0
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Sun, 16 Jun 2024 17:40:52 +0200
